PHPExcel_CachedObjectStorage

# Class: PHPExcel_CachedObjectStorage_Wincache

Source Location: /PHPExcel/CachedObjectStorage/Wincache.php

### Class Overview

    PHPExcel_CachedObjectStorage_CacheBase
       |
       --PHPExcel_CachedObjectStorage_Wincache

PHPExcel_CachedObjectStorage_Wincache

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_CachedObjectStorage_ICache

### Methods

- __construct
- __destruct
- addCacheData
- cacheMethodIsAvailable
- copyCellCollection
- deleteCacheData
- getCacheData
- isDataSet
- unsetWorksheetCells

### Inherited Variables

#### Class: PHPExcel_CachedObjectStorage_CacheBase

PHPExcel_CachedObjectStorage_CacheBase::$_cellCache
PHPExcel_CachedObjectStorage_CacheBase::$_currentCellIsDirty
PHPExcel_CachedObjectStorage_CacheBase::$_currentObject
PHPExcel_CachedObjectStorage_CacheBase::$_currentObjectID
PHPExcel_CachedObjectStorage_CacheBase::$_parent

### Inherited Methods

#### Class: PHPExcel_CachedObjectStorage_CacheBase

PHPExcel_CachedObjectStorage_CacheBase::__construct()
  Initialise this new cell collection
PHPExcel_CachedObjectStorage_CacheBase::cacheMethodIsAvailable()
  Identify whether the caching method is currently available Some methods are dependent on the availability of certain extensions being enabled in the PHP build
PHPExcel_CachedObjectStorage_CacheBase::copyCellCollection()
  Clone the cell collection
PHPExcel_CachedObjectStorage_CacheBase::deleteCacheData()
  Delete a cell in cache identified by coordinate address
PHPExcel_CachedObjectStorage_CacheBase::getCellList()
  Get a list of all cell addresses currently held in cache
PHPExcel_CachedObjectStorage_CacheBase::getHighestColumn()
  Get highest worksheet column
PHPExcel_CachedObjectStorage_CacheBase::getHighestRow()
  Get highest worksheet row
PHPExcel_CachedObjectStorage_CacheBase::getHighestRowAndColumn()
  Get highest worksheet column and highest row that have cell records
PHPExcel_CachedObjectStorage_CacheBase::getSortedCellList()
  Sort the list of all cell addresses currently held in cache by row and column
PHPExcel_CachedObjectStorage_CacheBase::isDataSet()
  Is a value set in the current PHPExcel_CachedObjectStorage_ICache for an indexed cell?
PHPExcel_CachedObjectStorage_CacheBase::updateCacheData()
  Add or Update a cell in cache
PHPExcel_CachedObjectStorage_CacheBase::_getUniqueID()
  Generate a unique ID for cache referencing

### Class Details

[line 36]
PHPExcel_CachedObjectStorage_Wincache

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method cacheMethodIsAvailable [line 272]

`static boolean cacheMethodIsAvailable( )`

Identify whether the caching method is currently available Some methods are dependent on the availability of certain extensions being enabled in the PHP build

#### Tags:

access: | public

Implementation of:

PHPExcel_CachedObjectStorage_ICache::cacheMethodIsAvailable()
  Identify whether the caching method is currently available Some methods are dependent on the availability of certain extensions being enabled in the PHP build

Overrides PHPExcel_CachedObjectStorage_CacheBase::cacheMethodIsAvailable() (Identify whether the caching method is currently available Some methods are dependent on the availability of certain extensions being enabled in the PHP build)
[ Top ]

### constructor __construct [line 242]

`PHPExcel_CachedObjectStorage_Wincache __construct( PHPExcel_Worksheet $parent, array $arguments)`

Initialise this new cell collection

#### Tags:

access: | public

Overrides PHPExcel_CachedObjectStorage_CacheBase::__construct() (Initialise this new cell collection)

#### Parameters:

PHPExcel_Worksheet | $parent | The worksheet for this cell collection
array | $arguments | of mixed $arguments Additional initialisation arguments

[ Top ]

### destructor __destruct [line 258]

`void __destruct( )`

Destroy this cell collection

#### Tags:

access: | public

[ Top ]

### method addCacheData [line 91]

`void addCacheData( string $pCoord, PHPExcel_Cell $cell)`

Add or Update a cell in cache identified by coordinate address

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_CachedObjectStorage_ICache::addCacheData()
  Add or Update a cell in cache identified by coordinate address

#### Parameters:

string | $pCoord | Coordinate address of the cell to update
PHPExcel_Cell | $cell | Cell to update

[ Top ]

### method copyCellCollection [line 190]

`void copyCellCollection( PHPExcel_Worksheet $parent)`

Clone the cell collection

#### Tags:

access: | public

Implementation of:

PHPExcel_CachedObjectStorage_ICache::copyCellCollection()
  Clone the cell collection

Overrides PHPExcel_CachedObjectStorage_CacheBase::copyCellCollection() (Clone the cell collection)

#### Parameters:

PHPExcel_Worksheet | $parent | The new worksheet

[ Top ]

### method deleteCacheData [line 175]

`void deleteCacheData( string $pCoord)`

Delete a cell in cache identified by coordinate address

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_CachedObjectStorage_ICache::deleteCacheData()
  Delete a cell in cache identified by coordinate address

Overrides PHPExcel_CachedObjectStorage_CacheBase::deleteCacheData() (Delete a cell in cache identified by coordinate address)

#### Parameters:

string | $pCoord | Coordinate address of the cell to delete

[ Top ]

### method getCacheData [line 137]

`PHPExcel_Cell getCacheData( string $pCoord)`

Get cell at a specific coordinate

#### Tags:

return: | Cell that was found, or null if not found
throws: | Exception
access: | public

Implementation of:

PHPExcel_CachedObjectStorage_ICache::getCacheData()
  Fetch a cell from cache identified by coordinate address

#### Parameters:

string | $pCoord | Coordinate of the cell

[ Top ]

### method isDataSet [line 111]

`boolean isDataSet( string $pCoord)`

Is a value set in the current PHPExcel_CachedObjectStorage_ICache for an indexed cell?

#### Tags:

access: | public

Implementation of:

PHPExcel_CachedObjectStorage_ICache::isDataSet()
  Is a value set in the current PHPExcel_CachedObjectStorage_ICache for an indexed cell?

Overrides PHPExcel_CachedObjectStorage_CacheBase::isDataSet() (Is a value set in the current PHPExcel_CachedObjectStorage_ICache for an indexed cell?)

#### Parameters:

string | $pCoord | Coordinate address of the cell to check

[ Top ]

### method unsetWorksheetCells [line 220]

`void unsetWorksheetCells( )`

Clear the cell collection and disconnect from our parent

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:13 +0200 by phpDocumentor 1.4.4